#include "TH1F.h"
#include "TFile.h"
#include <iostream>
#include <fstream>
#include <string.h>
#include <stdio.h>

void exportToCSV(char* filename, char* runNumber) {
	TFile* theFile = new TFile(filename);
	
	TH1F* s0 = theFile->FindObjectAny("Sensor16Region0LinProfile");
	TH1F* s1 = theFile->FindObjectAny("Sensor16Region1LinProfile");
	TH1F* s2 = theFile->FindObjectAny("Sensor16Region2LinProfile");
	TH1F* s3 = theFile->FindObjectAny("Sensor16Region3LinProfile");

	ofstream myfile;
	
	char name[100];
	strcpy(name, filename);
	strcat(name, runNumber);
	
	myfile.open(name);

	myfile << s0->GetName() << "\n";
	for (unsigned bins(0); bins < s0->GetNbinsX(); bins++) {
		myfile << bins << ", " << s0->GetBinContent(bins) << "\n";
	}

	myfile << s1->GetName() << "\n";
	for (unsigned bins(0); bins < s1->GetNbinsX(); bins++) {
		myfile << bins << ", " << s1->GetBinContent(bins) << "\n";
	}
	
	myfile << s2->GetName() << "\n";
	for (unsigned bins(0); bins < s2->GetNbinsX(); bins++) {
		myfile << bins << ", " << s2->GetBinContent(bins) << "\n";
	}
	
	myfile << s3->GetName() << "\n";
	for (unsigned bins(0); bins < s3->GetNbinsX(); bins++) {
		myfile << bins << ", " << s3->GetBinContent(bins) << "\n";
	}

	myfile.close();
}